/**
 * 地图参数
 */
export class MapConst {
    public static FrameTime: number = 1 / 30; //战斗日志里每帧的时间
    /**地图x轴最大移动距离 */
    public static readonly xRange: number = 1875;
    /**地图y轴最大移动距离 */
    public static readonly yRange: number = 2625;

    /** 摇杆移动的最大半径 */
    public static readonly MAX_JOYSTICK_RADIUS = 80;
    /** 玩家的初始速度 */
    public static readonly ORIGINAL_SPEED = 350;
    /** 玩家的初始攻击范围(默认可攻击到的格子数) */
    public static readonly ATTACK_DIS = 8;
    /** 战斗最大速度 */
    public static readonly FightBetMax = 3;
    /** 子弹飞行速度 */
    public static readonly BulletSpeed = 1600;
    /** 怪物移动速度 */
    public static readonly MonsterMoveSpeed = 100;
    /** 宝箱怪物移动速度 */
    public static readonly BoxMonsterMoveSpeed = 200;
    /** 地图怪物击杀数量定时上传时间 */
    public static readonly MonsterKillSendTime = 10;
    /** 兽灵距离主角最大距离 */
    public static readonly ShouLingNearPlayer = 140;
    /** 兽灵闲逛间隔时间 */
    public static readonly ShouLingXianGuangTime = 0.5;
    /** 弟子闲逛间隔时间 */
    public static readonly FollowerXianGuangTime = 5;
    /** 主角原地停留时间 */
    public static readonly PlayerIdleTime = 1;
    /** 弟子闲逛搜索区域范围 */
    public static readonly FollowerSearchArea = [100, 150];
    /** 大地图角色移动速度 */
    public static readonly MapWorldSpeed = 400;
    /** 地图boss闲逛间隔时间 */
    public static readonly MapBossXianGuangTime = 2;
    /** 最多距离主角多远距离 */
    public static readonly NearPlayerFar = 300;
    /** 战斗拉扯移动时间间隔 */
    public static readonly BattleLacheTime = 3;
    /** 地图怪物受击次数 */
    public static readonly MonsterHitTimes = 2;
    /** 地图技能释放时间 */
    public static readonly MapSkillTime: number = 3.5;
    /** 首次引导鳄鱼的iid */
    public static readonly GuideFirstMonIid: string = "100000000";
    /** 角色距离boss后自动触发战斗 */
    public static readonly MapFightBossDis: number = 650;
    /** 地图触发战斗后两个队伍间距 */
    public static readonly MapFightBossSitDis: number = 650;
    /** 击退距离 */
    public static readonly JiTuiDis: number = 200;
    /** 跳过时间 */
    public static readonly SkipTime: number = 5;
    /** 战斗时间 */
    public static readonly BattleTime: number = 30;
    /** 宝箱怪id */
    public static readonly BoxMonId = "1000";
    /** 地图加速速率 */
    public static readonly MapSpeed: number = 1.3;
    /** 大地图资源key */
    public static readonly MapWorldKeys = {
        "1": "ygkc",
        "2": "zs",
        "3": "xym",
        "4": "zydt",
        "5": "tcgk",
        "6": "xyp",
        "7": "qxm",
        "8": "sy",
        "9": "txm",
        "10": "lxdt",
        "11": "hy",
        "12": "ydfz",
        "13": "hgjd",
        "14": "qtxd",
        "15": "yhgx",
    }

    /** 组队地图缩放值*/
    public static readonly TeamMapScale: number = 0.9;
}

/** 震屏类型 */
export enum EnumShakeType {
    Normal,
    Middle,
    Strong
}

