import Gamecfg from "../../common/gameCfg";
import { gameMethod } from "../../common/gameMethod";
import { TaskRwd, TaskRwdPram, ZhangjieZidong, ZhangjieZidongPram } from "../../common/Xyc";
import { SevBack, SevBackType } from "../../common/Xys";
import FguiMgr from "../../frameWork/fgui/FguiMgr";
import { FguiClass } from "../../frameWork/fgui/mvc/FguiView";
import { ShowSideTipsView } from "../../logic/fgui/Common/ShowSideTips/ShowSideTipsView";
import UIHelp from "../../logic/ui/UIHelp";
import EventMng from "../../manager/EventMng";
import { I18n } from "../../utils/I18nUtil";
import { GuideEvent, HomeEvent, TaskMainEvent, UserEvent } from "../const/EventConst";
import { eMapType, eXiuXing, GuideType, OpenType, TaskKind, WeekGuideId } from "../const/TypeConst";
import GameDataCenter from "../GameDataCenter";
import IDataModel from "./IDataModel";

export default class TaskModel extends IDataModel {
	readonly GuanQiaNum = 5;

	constructor() {
		super("task");
		GameDataCenter.setRspModel("actTaskMain", this);
	}

	readonly TaskPopCloseCd: number = 5;
	readonly TaskPopTime: number = 0.2;

	lastPopTaskId: number = null;
	//引导手指的id
	curHandTaskId = 0;
	//最后一次记录任务id
	private _lastTaskId: number = 0;
	get isDaguaiTask(): boolean {
		// let conf = Gamecfg.taskMain.getItem(GameDataCenter.sevBack.actTaskMain?.id?.toString());
		// switch (conf?.kind) {
		// 	case TaskKind.DaGuai:
		// 		if (GameDataCenter.sevBack.actTaskMain?.cons < conf.need) {
		// 			return true;
		// 		} else {
		// 			return false;
		// 		}
		// 	default:
		// 		return false;
		// }
		return false;
	}

	doEvent(result: SevBack): void {
		if (result.actTaskMain) {
			EventMng.emit(TaskMainEvent.UP_INFO);
			GameDataCenter.time.guideRuoTime = 0;

			if (result.actTaskMain.id && this._lastTaskId != result.actTaskMain.id) {
				this._lastTaskId = result.actTaskMain.id;
				EventMng.emit(HomeEvent.UP_HD_LIST);
			}
		}
	}
	
}
