export interface PlayerState {
    id: string,
    seatId: number,
    score: number,
    pre_score: number,
    power: number,
    avatar: number,
    avatarFrame: number,
    nickName: string,
    cardId: number,
    //是否准备就绪
    ready: number,
    //已使用道具
    useProps: Array<number>
    /** 奖杯 */
    cup: number;
    //在线状态
    online: number,
    //机器人难度id
    robotId?: string,
    /** 消除棋子 */
    pre_cubes: number,
    /**剩余步数 */
    step?: number,
    // vip等级
    vip?: number,
    data?: any
}

export type MatchPlayerState = Pick<PlayerState, "id" | "robotId" | "seatId" | "cardId" | "cup" | "nickName" | "avatar" | "avatarFrame" | "vip" | "data">
export type RoomPlayerState = Pick<PlayerState, "id" | "score" | "useProps" | "step" | "power">