import { BaseRequest, BaseResponse } from "../../../CookingScript/Logic/Room/base";
import { PlayerState } from "../../game/state/PlayerState";
import { RoomState } from "../../game/state/RoomState";

/** 加入房间 */
export interface ReqRoomJoin extends BaseRequest {
    playerId: string,
    /** 房间编号 */
    roomId: string,
    mapData?: string,
    sn?: number
}

export interface ResRoomJoin extends BaseResponse {
    /** 加入房间后，自己的 ID */
    playerId: string,
    /** 状态同步：一次性同步当前状态 */
    players: Array<PlayerState>,
    mapData: string,
    /**动作数 */
    sn: number,
    startTime?: number
}

// export const conf = {}